#
# spec file for package gpicview
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gpicview
Version:        0.2.5
Release:        2.20
Summary:        LXDE Photo Viewer
License:        GPL-2.0-only
Group:          Productivity/Graphics/Viewers
Url:            http://www.lxde.org/
Source0:        %{name}-%{version}.tar.xz
Patch0:         %{name}-0.2.4_fix_boo_904558.patch
Patch1:         gpicview-0.2.5-addreturnvalue.patch
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gettext-runtime
BuildRequires:  gettext-tools
BuildRequires:  gtk2-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  libjpeg-devel
BuildRequires:  perl
BuildRequires:  perl-XML-Parser
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%lang_package

%description
An extremely fast, lightweight, yet feature-rich photo viewer.
This software is part of the LXDE Desktop Environment.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%suse_update_desktop_file -r gpicview GTK Graphics Viewer
%find_lang %{name}
%fdupes -s %{buildroot}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/gpicview.desktop
%dir %{_datadir}/gpicview
%dir %{_datadir}/gpicview/pixmaps
%dir %{_datadir}/gpicview/ui
%{_datadir}/gpicview/pixmaps/*.png
%{_datadir}/gpicview/ui/pref-dlg.ui
%{_datadir}/icons/hicolor/48x48/apps/gpicview.png

%files lang -f %{name}.lang
%defattr(-,root,root,-)

%changelog
* Fri Oct 11 2019 Michael Vetter <mvetter@suse.com>
- Add gpicview-0.2.5-addreturnvalue.patch: to fix build
* Sun Dec 25 2016 trcs@gmx.com
- new upstream version 0.2.5
  * Fix 'make distcheck' adding missing gpicview.desktop into dist
  * Beautify GtkBuilder UI file without modification
  * Some fixes for GTK+ 3
  * Set default size for scale widgets
  * Translations updates
* Wed Nov 12 2014 andrea@opensuse.org
- added gpicview-0.2.4_fix_boo_904558.patch to fix boo#904558
* Fri Sep 19 2014 trcs@gmx.com
- split lang package
- removed unnecessary BuildRequires in spec file
* Wed Aug 27 2014 trcs@gmx.com
- applied spec-cleaner
* Sun Jan  5 2014 trcs@gmx.com
- new upstream version 0.2.4
  * GTK3, minor refactoring and some updates to the infrastructure
  for building
  * Complete changelog in http://blog.lxde.org/?p=1064
* Wed Dec 19 2012 andrea@opensuse.org
- new upstream version 0.2.3
  * Correction to the PATH_MAX problems for GNU/Hurd.
  * fixed link with latest ld
- removed gpicview-0.2.2-ld_fix.patch now in upsteam code
* Thu Sep 29 2011 andrea.turrini@gmail.com
- fixed typos in gpicview.spec
* Sun Sep 18 2011 andrea@opensuse.org
- added gpicview-0.2.2-ld_fix.patch to fix build with latest ld
* Sun Jul 24 2011 andrea@opensuse.org
- new upstream version 0.2.2
  * translations updates
  * basic gtk3 support
  * many bug fixes
- removed patches now in upstream code
* Mon Mar 14 2011 gber@opensuse.org
- call %%desktop_database_post/un
* Fri Feb 18 2011 coolo@novell.com
- run find_lang first - it may remove unsupported locales
* Wed Dec 29 2010 gber@opensuse.org
- removed desktop-category.diff
- corrected menu categories
- added gpicview-add-mime-types.patch in order to claim support for
  additional MIME types
* Tue Apr  6 2010 andrea@opensuse.org
- removed unsopported locales
* Thu Dec 10 2009 andrea@opensuse.org
- Clean up spec file
- bzipped source code
* Tue Jul 14 2009 andrea@opensuse.org
- fixed post build gcc checks
* Wed Jul  8 2009 andrea@opensuse.org
- New upstream version 0.2.1
* Thu May 21 2009 andrea@opensuse.org
- new package
